## ros-one-hector-imu-tools 0.5.2-6jammy.20251023.0843

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_imu_tools)

find_package(catkin REQUIRED COMPONENTS roscpp sensor_msgs geometry_msgs nav_msgs tf)

catkin_package(
  CATKIN_DEPENDS geometry_msgs nav_msgs roscpp sensor_msgs tf
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(pose_and_orientation_to_imu_node src/pose_and_orientation_to_imu_node.cpp)

target_link_libraries(pose_and_orientation_to_imu_node
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(TARGETS pose_and_orientation_to_imu_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
)

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6jammy.20251023.0843) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 08:43:29 +0000

ros-one-hector-imu-tools (0.5.2-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-imu-tools (0.5.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-imu-tools (0.5.0-0jammy) jammy; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-imu-tools (0.4.1-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-imu-tools (0.3.6-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-imu-tools (0.3.5-0jammy) jammy; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-imu-tools (0.3.4-0jammy) jammy; urgency=high

  * Fix sim setup
  * remap for bertl setup
  * Contributors: Florian Kunz, kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-imu-tools (0.3.3-0jammy) jammy; urgency=high

  * hector_imu_tools: Basics of simple height etimation
  * hector_imu_tools: Add tf publishers in hector_imu_tools
  * hector_imu_tools: Also write out fake odometry
  * hector_imu_tools: Fix typo
  * hector_imu_tools: Prevent race conditions in slam, formatting
  * hector_imu_tools: Small executable for generating a IMU message out of a (2d) pose and roll/pitch imu message
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-hector-imu-tools
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf
Homepage: http://ros.org/wiki/hector_imu_attitude_to_tf
Standards-Version: 3.9.2

Package: ros-one-hector-imu-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf
Description: hector_imu_tools provides some tools for processing IMU messages

## ros-one-hector-imu-tools 0.5.2-6jammy.20251207.2137

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6jammy.20251207.2137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 07 Dec 2025 21:37:15 +0000

## ros-one-hector-imu-tools 0.5.2-6jammy.20260221.0133

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6jammy.20260221.0133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 21 Feb 2026 01:33:31 +0000

## ros-one-hector-imu-tools 0.5.2-6noble.20251023.0849

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6noble.20251023.0849) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Oct 2025 08:49:52 +0000

ros-one-hector-imu-tools (0.5.2-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-hector-imu-tools (0.5.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-one-hector-imu-tools (0.5.0-0noble) noble; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-one-hector-imu-tools (0.4.1-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-one-hector-imu-tools (0.3.6-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-one-hector-imu-tools (0.3.5-0noble) noble; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-one-hector-imu-tools (0.3.4-0noble) noble; urgency=high

  * Fix sim setup
  * remap for bertl setup
  * Contributors: Florian Kunz, kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-one-hector-imu-tools (0.3.3-0noble) noble; urgency=high

  * hector_imu_tools: Basics of simple height etimation
  * hector_imu_tools: Add tf publishers in hector_imu_tools
  * hector_imu_tools: Also write out fake odometry
  * hector_imu_tools: Fix typo
  * hector_imu_tools: Prevent race conditions in slam, formatting
  * hector_imu_tools: Small executable for generating a IMU message out of a (2d) pose and roll/pitch imu message
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-hector-imu-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-hector-imu-tools 0.5.2-6noble.20251208.0837

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6noble.20251208.0837) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 08 Dec 2025 08:37:57 +0000

## ros-one-hector-imu-tools 0.5.2-6noble.20260221.2104

=== debian/changelog ===
ros-one-hector-imu-tools (0.5.2-6noble.20260221.2104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 21 Feb 2026 21:04:10 +0000
